Страница 1 из 1

Старые Java версии клиентов ICQ типа Jimm - работают ли ещё?

СообщениеДобавлено: 14 июн 2018, 13:28
lyoshka
Приветствую.

Пользовался подобным на SE K530i последний раз в 2012-м. Как оно сейчас, не поменялось ли чего на серверах, что в итоге уже не работают столь древние клиенты - никто не может сказать мне наверняка? Хочется такой же телефон с рук купить, но всё ещё рабочая аська на Java - решающий фактор.

Спасибо.

Re: Старые Java версии клиентов ICQ типа Jimm - работают ли ещё?

СообщениеДобавлено: 15 июн 2018, 05:58
Freeman
Очень может быть, что всё 10 раз поменялось и старые клиенты не работают. Если верить сайту Jimm, он реализует протокол OSCAR v8. Надо узнать, какая минимальная версия поддерживается серверами ICQ. Для калибровки: рабочая реализация в прошлогодней Miranda NG определяется как OSCAR v11.

Re: Старые Java версии клиентов ICQ типа Jimm - работают ли ещё?

СообщениеДобавлено: 15 июн 2018, 11:04
lyoshka
Миранда ветки 0.6 до сих пор работает нормально. Ниже просто не проверял, не было надобности. Так что, вопрос протокола не шибко актуален пока ещё, скорее важно умение Jimm или других Java клиентов выбирать между незащищённым и SSL подключением.

Re: Старые Java версии клиентов ICQ типа Jimm - работают ли ещё?

СообщениеДобавлено: 18 июн 2018, 15:10
Freeman
lyoshka писал(а):Миранда ветки 0.6 до сих пор работает нормально.

Какую версию протокола пишет?

Re: Старые Java версии клиентов ICQ типа Jimm - работают ли ещё?

СообщениеДобавлено: 20 июн 2018, 16:23
lyoshka
Ровно год назад на пятидюймовке упоминал - работало. Сейчас ни 6-ка, ни 7-ка - не пустили. Password rejected. 8-ка (0.8.27) работает. Протокол Oscar 8.